diff --git a/src/test/regress/expected/aggregates.out b/src/test/regress/expected/aggregates.out
new file mode 100644
index 0ff8062..91579f9
*** a/src/test/regress/expected/aggregates.out
--- b/src/test/regress/expected/aggregates.out
***************
*** 1,6 ****
--- 1,7 ----
  --
  -- AGGREGATES
  --
+ SET bytea_output TO hex;
  SELECT avg(four) AS avg_1 FROM onek;
         avg_1        
  --------------------
diff --git a/src/test/regress/expected/privileges.out b/src/test/regress/expected/privileges.out
new file mode 100644
index f66b443..38358b2
*** a/src/test/regress/expected/privileges.out
--- b/src/test/regress/expected/privileges.out
*************** GRANT SELECT, UPDATE ON LARGE OBJECT  99
*** 1110,1115 ****
--- 1110,1116 ----
  ERROR:  large object 999 does not exist
  \c -
  SET SESSION AUTHORIZATION regress_user2;
+ SET bytea_output to hex;
  SELECT lo_create(2001);
   lo_create 
  -----------
*************** SELECT oid, pg_get_userbyid(lomowner) ow
*** 1185,1190 ****
--- 1186,1192 ----
  (6 rows)
  
  SET SESSION AUTHORIZATION regress_user3;
+ SET bytea_output to hex;
  SELECT loread(lo_open(1001, x'40000'::int), 32);
     loread   
  ------------
*************** SELECT lo_truncate(lo_open(2001, x'20000
*** 1211,1216 ****
--- 1213,1219 ----
  \c -
  SET lo_compat_privileges = false;	-- default setting
  SET SESSION AUTHORIZATION regress_user4;
+ SET bytea_output to hex;
  SELECT loread(lo_open(1002, x'40000'::int), 32);	-- to be denied
  ERROR:  permission denied for large object 1002
  SELECT lowrite(lo_open(1002, x'20000'::int), 'abcd');	-- to be denied
*************** HINT:  Anyone can use the client-side lo
*** 1225,1230 ****
--- 1228,1234 ----
  \c -
  SET lo_compat_privileges = true;	-- compatibility mode
  SET SESSION AUTHORIZATION regress_user4;
+ SET bytea_output to hex;
  SELECT loread(lo_open(1002, x'40000'::int), 32);
   loread 
  --------
diff --git a/src/test/regress/sql/aggregates.sql b/src/test/regress/sql/aggregates.sql
new file mode 100644
index 2eeb3ee..c384bf3
*** a/src/test/regress/sql/aggregates.sql
--- b/src/test/regress/sql/aggregates.sql
***************
*** 2,7 ****
--- 2,9 ----
  -- AGGREGATES
  --
  
+ SET bytea_output TO hex;
+ 
  SELECT avg(four) AS avg_1 FROM onek;
  
  SELECT avg(a) AS avg_32 FROM aggtest WHERE a < 100;
diff --git a/src/test/regress/sql/privileges.sql b/src/test/regress/sql/privileges.sql
new file mode 100644
index 00dc7bd..879d663
*** a/src/test/regress/sql/privileges.sql
--- b/src/test/regress/sql/privileges.sql
*************** GRANT SELECT, UPDATE ON LARGE OBJECT  99
*** 705,710 ****
--- 705,711 ----
  
  \c -
  SET SESSION AUTHORIZATION regress_user2;
+ SET bytea_output to hex;
  
  SELECT lo_create(2001);
  SELECT lo_create(2002);
*************** SELECT lo_unlink(2002);
*** 732,737 ****
--- 733,739 ----
  SELECT oid, pg_get_userbyid(lomowner) ownername, lomacl FROM pg_largeobject_metadata;
  
  SET SESSION AUTHORIZATION regress_user3;
+ SET bytea_output to hex;
  
  SELECT loread(lo_open(1001, x'40000'::int), 32);
  SELECT loread(lo_open(1003, x'40000'::int), 32);	-- to be denied
*************** SELECT lo_truncate(lo_open(2001, x'20000
*** 744,749 ****
--- 746,752 ----
  \c -
  SET lo_compat_privileges = false;	-- default setting
  SET SESSION AUTHORIZATION regress_user4;
+ SET bytea_output to hex;
  
  SELECT loread(lo_open(1002, x'40000'::int), 32);	-- to be denied
  SELECT lowrite(lo_open(1002, x'20000'::int), 'abcd');	-- to be denied
*************** SELECT lo_export(1001, '/dev/null');			-
*** 754,759 ****
--- 757,763 ----
  \c -
  SET lo_compat_privileges = true;	-- compatibility mode
  SET SESSION AUTHORIZATION regress_user4;
+ SET bytea_output to hex;
  
  SELECT loread(lo_open(1002, x'40000'::int), 32);
  SELECT lowrite(lo_open(1002, x'20000'::int), 'abcd');
